<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  Weiter- und Neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine gro�e 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<script language="javascript"><!-- 
function rowOverEffect(object) {
  if (document.confirm_order_way.elements[object].parentNode.parentNode.className != 'moduleRowSelected') {
    document.confirm_order_way.elements[object].parentNode.parentNode.className = 'moduleRowOver';
  }
}
function rowOutEffect(object) {
  if (document.confirm_order_way.elements[object].checked) {
    document.confirm_order_way.elements[object].parentNode.parentNode.className = 'moduleRowSelected';
  } else {
    document.confirm_order_way.elements[object].parentNode.parentNode.className = 'infoFrameInsides';
  }
}
function checkboxRowEffect(object) {
  document.confirm_order_way.elements[object].checked = !document.confirm_order_way.elements[object].checked;
  if(document.confirm_order_way.elements[object].checked) {
    document.confirm_order_way.elements[object].parentNode.parentNode.className = 'moduleRowSelected';
  } else {
    document.confirm_order_way.elements[object].parentNode.parentNode.className = 'moduleRowOver';
  }
}
function check_agree(TheForm) {
  if (TheForm.agree.checked) {
    document.getElementById("buttonConfirmOrder").disabled = true;
    return true;
  } else {
    alert('<?php echo CONDITION_AGREEMENT_ERROR; ?>');
    return false;
  }
}
var win = null;
function NewWindow(mypage,myname,w,h,scroll){
LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
settings =
'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable'
win = window.open(mypage,myname,settings)
}
//-->
</script>
<?php
$text_query = go_db_query("SELECT * FROM item_template where aktiviert = '1' AND template_id = '2'");
$werte = go_db_fetch_array($text_query);
$template_inhalt = $werte["template_inhalt"];
if ($sendto != false) {

	$table_versandadresse='             <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
	$table_versandadresse.='              <tr>' . "\n";
	$table_versandadresse.='                <td class="main"><b>' . ABOVE_DELIVERY_ADDRESS . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_65], '', 'SSL') . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a> </td>' . "\n";
	$table_versandadresse.='              </tr>' . "\n";
	$table_versandadresse.='              <tr>' . "\n";
	$table_versandadresse.='                <td class="main">' . go_form_of_address($order->delivery['format_id'], $order->delivery, 1, ' ', '<br>') . '</td>' . "\n";
	$table_versandadresse.='              </tr>' . "\n";
	$table_versandadresse.='             </table>' . "\n";         

}
$template_inhalt = preg_replace('/<-table_versandadresse->/', $table_versandadresse, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_versandadresse-&gt;/', $table_versandadresse, $template_inhalt); 
if ($order->info['shipping_method'] AND $sendto != false) {

	$table_versandart='             <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
	$table_versandart.='              <tr>' . "\n";
	$table_versandart.='                <td class="main"><b>' . ABOVE_SHIPPING_METHOD . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_66], '', 'SSL') . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a></td>' . "\n";
	$table_versandart.='              </tr>' . "\n";
	$table_versandart.='              <tr>' . "\n";
	$table_versandart.='                <td class="main">' . $order->info['shipping_method'] . '</td>' . "\n";
	$table_versandart.='              </tr>' . "\n";
	$table_versandart.='            </table>' . "\n";

}
$template_inhalt = preg_replace('/<-table_versandart->/', $table_versandart, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_versandart-&gt;/', $table_versandart, $template_inhalt); 

$table_produktauflistung='          <table border="0" style="width:100%" cellspacing="0" cellpadding="2">';
if (sizeof($order->info['tax_groups']) > 1) {

	$table_produktauflistung.='                  <tr>' . "\n";
	$table_produktauflistung.='                    <td class="main" colspan="2"><b>' . ABOVE_ITEMS . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_69]) . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a></td>' . "\n";
	$table_produktauflistung.='                    <td class="smallText" align="right"><b>' . ABOVE_TAX . '</b></td>' . "\n";
	$table_produktauflistung.='                    <td class="smallText" align="right"><b>' . ABOVE_TOTAL . '</b></td>' . "\n";
	$table_produktauflistung.='                  </tr>' . "\n";
} else {

	$table_produktauflistung.='                  <tr>' . "\n";
	$table_produktauflistung.='                    <td class="main" colspan="3"><b>' . ABOVE_ITEMS . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_69]) . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a></td>' . "\n";
	$table_produktauflistung.='                  </tr>' . "\n";
}
for ($i=0, $n=sizeof($order->items); $i<$n; $i++) {

	# name2
	$item_name2_query = go_db_query("SELECT items_name2 FROM items_description WHERE items_id = '" . $order->items[$i]['id'] . "' and language_id = '" . $languages_id . "' and items_name2 <> ''");
	if (@go_db_num_rows($item_name2_query)!=0) {	
		$item_name2_result = go_db_fetch_array($item_name2_query);
		$order->items[$i]['name2'] = '('.$item_name2_result['items_name2'].')';
	} else {
		$order->items[$i]['name2'] = '';
	} 
	#Bild by Ede
	$item_picture_query = go_db_query("SELECT items_picture FROM items WHERE items_id = '" . $order->items[$i]['id'] . "' ");
	if (@go_db_num_rows($item_picture_query)!=0) {	
		$item_picture_result = go_db_fetch_array($item_picture_query);
		$order->items[$i]['picture'] = '<img src=picture/'.$item_picture_result['items_picture'].' height="50px" width="50px">';
	} else {
		$order->items[$i]['picture'] = '';
	} 
	#Bild ende

	if ($order->items[$i]['items_price_option'] > 0) {
		$getImMeterQuery[$i] = go_db_query("select immeter, inmeter_breite from price_option where id=".$order->items[$i]['items_price_option']);
		$getImMeter[$i] = mysqli_result($getImMeterQuery[$i],0,'immeter');
		$getInMeter_breite[$i] = mysqli_result($getImMeterQuery[$i],0,'inmeter_breite');
	}
	else {
		$getImMeter[$i]=1000;
		$getInMeter_breite[$i]=1000;
	}
	$item_laenge_breite_query = go_db_query("select attendees_basket_laenge, attendees_basket_breite, attendees_basket_price_option, price_option_comment, items_basis_price, add_cart_variable_serialize from " . DB_TBL_ATTENDEES_BASKET . " where attendees_id = '" . (int)$attendee_id . "' and items_id = '" . $order->items[$i]['id'] . "'");

	if (@go_db_num_rows($item_laenge_breite_query)!=0) {	

		$item_laenge_breite_result = go_db_fetch_array($item_laenge_breite_query);
		$order->items[$i]['laenge'] = $item_laenge_breite_result['attendees_basket_laenge'];
		$order->items[$i]['breite'] = $item_laenge_breite_result['attendees_basket_breite'];
		$order->items[$i]['price_option_comment'] = $item_laenge_breite_result['price_option_comment'];


	}
	else {
		if ($order->items[$i]['laenge']=="") {$order->items[$i]['laenge']=1000;}
		if ($order->items[$i]['breite']=="") {$order->items[$i]['breite']=1000;}
	} 
	if ($item_laenge_breite_result['attendees_basket_price_option']!=0){

		if ($item_laenge_breite_result['attendees_basket_price_option']==1){$price_option_name="qm";}
		elseif ($item_laenge_breite_result['attendees_basket_price_option']==2){$price_option_name="qmm";}
		elseif ($item_laenge_breite_result['attendees_basket_price_option']==3){$price_option_name="lfdm";}
		elseif ($item_laenge_breite_result['attendees_basket_price_option']==4){$price_option_name="U lfdm";}


		if ($item_laenge_breite_result['attendees_basket_price_option'] == 4){
			$quadratur_display = (($order->items[$i]['laenge']*2/$getImMeter[$i])+($order->items[$i]['breite']*2/$getInMeter_breite[$i]));	
		} 
		else {
			$quadratur_display = (($order->items[$i]['laenge']/$getImMeter[$i])*($order->items[$i]['breite']/$getInMeter_breite[$i]));
		}

		if ($order->items[$i]['items_basis_price'] > 0) {
			$basis_price = ' + ' . $order->items[$i]['qty'] . ' x ' .$currencies->display_price($order->items[$i]['items_basis_price'], go_get_tax_rate($order->items[$i]['tax_class_id']));
		} else {
			$basis_price = '';
		}

		$displayDim = '<br>' . $order->items[$i]['qty'] . ' x ' . $quadratur_display . ' ' . $price_option_name . ' x ' . $currencies->display_price($order->items[$i]['final_price'], $order->items[$i]['tax']) . $basis_price . '<br>' . TEXT_ABMESSUNG . ' ' . $order->items[$i]['laenge'].' mm x '.$order->items[$i]['breite']. ' mm<br>' . $order->items[$i]['price_option_comment'];
	}
	else { $displayDim="";} 

	if (!$item_laenge_breite_result['add_cart_variable_serialize']){
		$add_cart_variable = array_in_one_hidden_decode($item_laenge_breite_result['add_cart_variable_serialize']);
		$order->items[$i]['add_cart_variable_serialize'] = $item_laenge_breite_result['add_cart_variable_serialize'];
	}else{
		$add_cart_variable = array_in_one_hidden_decode($order->items[$i]['add_cart_variable_serialize']);
		$order->items[$i]['add_cart_variable_serialize'] = $item_laenge_breite_result['add_cart_variable_serialize'];
	}
	if (is_array ($add_cart_variable)){
		foreach ($add_cart_variable as $key => $val){
			$order->items[$i][$key] = $val;
		}
	}	

	// Loopthrough13

	if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg')) {
		require(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg/content/main_bigware_7.tpl.php');
	}


	$table_produktauflistung.= '          <tr>' . "\n" .
		'            <td class="main" align="right" valign="middle" style="width:30px">' . $order->items[$i]['qty'] . '&nbsp;x</td>' . "\n" .
# Bild by Ede
		'            <td class="main" align="right" valign="middle" style="width:30px">' . $order->items[$i]['picture']. "\n" . 
# bild Ende
		'            <td class="main" valign="middle"><b>' . $order->items[$i]['name'] . "</b>&nbsp;".$order->items[$i]['name2']."\n";
	if (STOCK_CHECK == 'true') {




		$bundle_status_query = go_db_query("SELECT items_bundle FROM " . DB_TBL_ITEMS . " where items_id = " . go_get_prid($order->items[$i]['id']));
		$bundle_status = go_db_fetch_array($bundle_status_query);

		if ($bundle_status['items_bundle'] == "yes") {
			if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/bundle')) {
				require(FOLDER_ABSOLUT_CATALOG . 'modules/bundle/content/main_bigware_7.tpl.php');
			}
		} else {   	

			$table_produktauflistung.= go_check_stock($order->items[$i]['id'], $order->items[$i]['qty']);
		}
	}
	if ( (isset($order->items[$i]['characteristics'])) && (sizeof($order->items[$i]['characteristics']) > 0) ) { 
		for ($j=0, $n2=sizeof($order->items[$i]['characteristics']); $j<$n2; $j++) {

			if (!isset($order->items[$i]['characteristics'][$j]['value_id'])){ 
				$item_characteristics_keys = array_keys($order->items[$i]['characteristics'][$j]);
				for ($a=0;$a<sizeof($item_characteristics_keys);$a++){
					if ($order->items[$i]['characteristics'][$j][$item_characteristics_keys[$a]]['value']!=""){
						$table_produktauflistung.= '<br><nobr><small>&nbsp;<i> - ' . $order->items[$i]['characteristics'][$j][$item_characteristics_keys[$a]]['option'] . ': ' . $order->items[$i]['characteristics'][$j][$item_characteristics_keys[$a]]['value'] . '</i></small></nobr>' . "\n";
					} 
				}//for a
			}//array
			else {
				if ($order->items[$i]['characteristics'][$j]['value']!=""){
					$table_produktauflistung.= '<br><nobr><small>&nbsp;<i> - ' . $order->items[$i]['characteristics'][$j]['option'] . ': ' . $order->items[$i]['characteristics'][$j]['value'] . '</i></small></nobr>' . "\n";
				}
			}//not array

		}
	} 
	$table_produktauflistung.= $displayDim . '</td>' . "\n";
	if (sizeof($order->info['tax_groups']) > 1) $table_produktauflistung.= '            <td class="main" valign="top" align="right">' . go_display_tax_value($order->items[$i]['tax']) . '%</td>' . "\n";
	// Loopthrough14
	$table_produktauflistung.= '            <td class="main" align="right" valign="middle">' . $currencies->display_price_shopping_card($order->items[$i]['final_price'], $order->items[$i]['tax'], $order->items[$i]['qty'],$order->items[$i]['laenge'],$order->items[$i]['breite'],$getImMeter[$i],$getInMeter_breite[$i],$order->items[$i]['items_price_option'], $order->items[$i]['price_option_comment'], $order->items[$i]['items_basis_price']) . '</td>' . "\n" .
		'          </tr>' . "\n";
}
$table_produktauflistung.='                </table>' . "\n";
$template_inhalt = preg_replace('/<-table_produktauflistung->/', $table_produktauflistung, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_produktauflistung-&gt;/', $table_produktauflistung, $template_inhalt); 
$ABOVE_BILLING_INFORMATION= ABOVE_BILLING_INFORMATION;
$template_inhalt = preg_replace('/<-table_rechnungsinformationen->/', $ABOVE_BILLING_INFORMATION, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_rechnungsinformationen-&gt;/', $ABOVE_BILLING_INFORMATION, $template_inhalt); 

$table_rechnungsadresse='            <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
$table_rechnungsadresse.='              <tr>' . "\n";
$table_rechnungsadresse.='                <td class="main"><b>' . ABOVE_BILLING_ADDRESS . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_50], '', 'SSL') . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a></td>' . "\n";
$table_rechnungsadresse.='              </tr>' . "\n";
$table_rechnungsadresse.='              <tr>' . "\n";
$table_rechnungsadresse.='                <td class="main">' . go_form_of_address($order->billing['format_id'], $order->billing, 1, ' ', '<br>') . '</td>' . "\n";
$table_rechnungsadresse.='              </tr>' . "\n";
$table_rechnungsadresse.='              </table>' . "\n";
$template_inhalt = preg_replace('/<-table_rechnungsadresse->/', $table_rechnungsadresse, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_rechnungsadresse-&gt;/', $table_rechnungsadresse, $template_inhalt); 
$table_zahlungsweise='            <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
$table_zahlungsweise.='              <tr>' . "\n";
$table_zahlungsweise.='                <td class="main"><b>' . ABOVE_PAYMENT_METHOD . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_51], '', 'SSL') . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a></td>' . "\n";
$table_zahlungsweise.='              </tr>' . "\n";
$table_zahlungsweise.='              <tr>' . "\n";
$table_zahlungsweise.='                <td class="main">' . $order->info['payment_method'] . '</td>' . "\n";
$table_zahlungsweise.='              </tr>' . "\n";
if ($order->info['payment_method']==MODULE_PAYMENT_WORLDPAY_TEXT_TITLE) {
	$table_zahlungsweise.='							<tr><td class="main"><script language="JavaScript" src="https://www.worldpay.com/cgenerator/cgenerator.php?instId=' . MODULE_PAYMENT_WORLDPAY_ID . '"></script></td></tr>';
}
$table_zahlungsweise.='            </table> ' . "\n";
$template_inhalt = preg_replace('/<-table_zahlungsweise->/', $table_zahlungsweise, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_zahlungsweise-&gt;/', $table_zahlungsweise, $template_inhalt); 

if (CONSTITUENT_ORDER_TOTAL_INSTALLED) {
	$table_order_total='            <table  style="width:100%;align:right;" border="0" cellspacing="0" cellpadding="2">' . "\n";
	$order_total_modules->process();
	$table_order_total.= $order_total_modules->output();
	$table_order_total.='            </table>' . "\n";    
}
$template_inhalt = preg_replace('/<-table_order_total->/', $table_order_total, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_order_total-&gt;/', $table_order_total, $template_inhalt);  
if (is_array($payment_modules->modules)) {
	if ($confirmation = $payment_modules->confirmation()) {


		$ABOVE_PAYMENT_INFORMATION= ABOVE_PAYMENT_INFORMATION;

	}
}
$template_inhalt = preg_replace('/<-table_zahlungsinformationen->/', $ABOVE_PAYMENT_INFORMATION, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_zahlungsinformationen-&gt;/', $ABOVE_PAYMENT_INFORMATION, $template_inhalt); 
if (is_array($payment_modules->modules)) {
	if ($confirmation = $payment_modules->confirmation()) {

		$table_zahlungsinfo='            <table border="0" cellspacing="0" cellpadding="2">' . "\n";
		$table_zahlungsinfo.='              <tr>' . "\n";
		$table_zahlungsinfo.='                <td class="main" colspan="4">' . $confirmation['title'] . '</td>' . "\n";
		$table_zahlungsinfo.='              </tr>' . "\n";
		for ($i=0, $n=sizeof($confirmation['fields']); $i<$n; $i++) {
			$table_zahlungsinfo.='              <tr>' . "\n";
			$table_zahlungsinfo.='                <td style="width:10px">' . go_fetch_dividing_up('tranparentes.gif', '10', '1') . '</td>' . "\n";
			$table_zahlungsinfo.='                <td class="main">' . $confirmation['fields'][$i]['title'] . '</td>' . "\n";
			$table_zahlungsinfo.='                <td style="width:10px">' . go_fetch_dividing_up('tranparentes.gif', '10', '1') . '</td>' . "\n";
			$table_zahlungsinfo.='                <td class="main">' . $confirmation['fields'][$i]['field'] . '</td>' . "\n";
			$table_zahlungsinfo.='              </tr>' . "\n";
		}
		$table_zahlungsinfo.='            </table>' . "\n";

	}
}
$template_inhalt = preg_replace('/<-table_zahlungsinfo->/', $table_zahlungsinfo, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_zahlungsinfo-&gt;/', $table_zahlungsinfo, $template_inhalt);  
if (go_not_null($order->info['comments'])) {

	$ABOVE_ORDER_COMMENTS= '<b>' . ABOVE_ORDER_COMMENTS . '</b> <a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_51], '', 'SSL') . '"><span class="orderEdit">(' . TEXT_CHANGE . ')</span></a>';
}
$template_inhalt = preg_replace('/<-ueber_kommentar->/', $ABOVE_ORDER_COMMENTS, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-ueber_kommentar-&gt;/', $ABOVE_ORDER_COMMENTS, $template_inhalt); 
if (go_not_null($order->info['comments'])) {
	$table_kommentar='            <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
	$table_kommentar.='              <tr>' . "\n";
	$table_kommentar.='                <td class="main">' . nl2br(go_output_string_protected($order->info['comments'])) . go_fetch_hidden_field('comments', $order->info['comments']) . '</td>' . "\n";
	$table_kommentar.='              </tr>' . "\n";
	$table_kommentar.='            </table>' . "\n";

}
$template_inhalt = preg_replace('/<-table_kommentar->/', $table_kommentar, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_kommentar-&gt;/', $table_kommentar, $template_inhalt);

$template_inhalt = preg_replace('/<-dont_forget_to_press->/', DONT_FORGET_TO_PRESS, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-dont_forget_to_press-&gt;/', DONT_FORGET_TO_PRESS, $template_inhalt);

$table_picture_upload='            <table border="0" style="width:100%" cellspacing="0" cellpadding="2">' . "\n";
$table_picture_upload.='              <tr>' . "\n";
$table_picture_upload.='                <td class="main"><b>' . UPLOAD_TEXT . '</b><br>' . UPLOAD_TEXT_KLEIN . '<br><br><input type="file" name="datei1" size="40"><br><input type="file" name="datei2" size="40"><br><input type="file" name="datei3" size="40"><br><input type="file" name="datei4" size="40"><br><input type="file" name="datei5" size="40"></td>' . "\n";
$table_picture_upload.='              </tr>' . "\n";
$table_picture_upload.='            </table>' . "\n";

$template_inhalt = preg_replace('/<-table_picture_upload->/', $table_picture_upload, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_picture_upload-&gt;/', $table_picture_upload, $template_inhalt);

$table_terms='        <table border="0" style="align:right;width:100%" cellspacing="0" cellpadding="0">' . "\n";
if ((isset($$payment->form_action_url))&&($$payment->code!='worldpay')) {
	$form_action_url = $$payment->form_action_url;
} else {
	$form_action_url = go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_62], '', 'SSL');
}
if (is_array($payment_modules->modules)) {
	$table_terms.= $payment_modules->process_button();
}
$table_terms.='         <tr>' . "\n";
$table_terms.='            <td>' . "\n";
$table_terms.='            <table border="0" style="width:100%" style="align:right" cellspacing="1" cellpadding="2"  class="infoBox">' . "\n";
$table_terms.='              <tr class="infoFrameInsides"  onclick="checkbox(\'agree\')">' . "\n";
if (SHOW_AGB == 'true'){
	$table_terms.='                <td class="main" align="right"><b>' . CONDITION_AGREEMENT . '</b>' . "\n";
	$table_terms.='				  ' . go_fetch_checkbox_field('agree','true', false, 'onclick="checkbox(\'agree\')"') . '<br>' . "\n";		
	$table_terms.='				  <a href="javascript:void(0);" onclick="NewWindow(\'' . $GLOBALS[CONFIG_NAME_FILE][main_bigware_55] . '\',\'tech\',\'800\',\'600\',\'yes\');return false"><u style="main">' . CONDITIONS . '</u></a>' . "\n";		
	$table_terms.='<br>				  <a href="javascript:void(0);" onclick="NewWindow(\'' . $GLOBALS[CONFIG_NAME_FILE][toback] . '\',\'tech\',\'800\',\'600\',\'yes\');return false"><u style="main">' . GIVE_BACK . '</u></a>' . "\n";
	$table_terms.='<br>				  <a href="javascript:void(0);" onclick="NewWindow(\'' . $GLOBALS[CONFIG_NAME_FILE][privacy] . '\',\'tech\',\'800\',\'600\',\'yes\');return false"><u style="main">' . DATA_PROTECT_DECLARATION . '</u></a>' . "\n";
	$table_terms.='				</td>' . "\n";
}
$table_terms.='              </tr>' . "\n";
$table_terms.='            </table></td>' . "\n";
$table_terms.='          </tr>' . "\n";
$table_terms.='          <tr>' . "\n";
$table_terms.='            <td>' . go_fetch_dividing_up('tranparentes.gif', '100%', '10') . '</td>' . "\n";
$table_terms.='          </tr>' . "\n";
//$table_terms.='	      </form>' . "\n";
$table_terms.='	     </table>' . "\n";
$template_inhalt = preg_replace('/<-table_terms->/', $table_terms, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_terms-&gt;/', $table_terms, $template_inhalt); 

$table_form_absenden='        <table border="0" style="width:100%" cellspacing="0" cellpadding="0">' . "\n";
$table_form_absenden.='         <tr>' . "\n";
$table_form_absenden.='            <td><table border="0" style="width:100%" cellspacing="1" cellpadding="2"  class="infoBox">' . "\n";
$table_form_absenden.='              <tr class="infoFrameInsides">' . "\n";
$table_form_absenden.='                <td align="right">' . go_picture_submit('button_confirm_order.gif', PICTURE_BUTTON_CONFIRM_ORDER, 'id="buttonConfirmOrder"') . '</td>' . "\n";
$table_form_absenden.='              </tr>' . "\n";
$table_form_absenden.='            </table></td>' . "\n";
$table_form_absenden.='          </tr>' . "\n";
$table_form_absenden.='       </table>' . "\n";
$template_inhalt = preg_replace('/<-table_form_absenden->/', $table_form_absenden, $template_inhalt);
$template_inhalt = preg_replace('/&lt;-table_form_absenden-&gt;/', $table_form_absenden, $template_inhalt); 

$table_fortschritt='        <table border="0" style="width:100%" cellspacing="0" cellpadding="0">' . "\n";
$table_fortschritt.='          <tr>' . "\n";
$table_fortschritt.='            <td style="width:25%">' . "\n";
$table_fortschritt.='            <table border="0" style="width:100%" cellspacing="0" cellpadding="0">' . "\n";
$table_fortschritt.='              <tr>' . "\n";
$table_fortschritt.='                <td style="width:50%" align="right">' . go_fetch_dividing_up('pixel_silver.gif', '1', '5') . '</td>' . "\n";
$table_fortschritt.='                <td style="width:50%">' . go_fetch_dividing_up('pixel_silver.gif', '100%', '1') . '</td>' . "\n";
$table_fortschritt.='              </tr>' . "\n";
$table_fortschritt.='            </table></td>' . "\n";
$table_fortschritt.='            <td style="width:25%">' . go_fetch_dividing_up('pixel_silver.gif', '100%', '1') .'</td>' . "\n";
$table_fortschritt.='            <td style="width:25%">' . "\n";
$table_fortschritt.='            <table border="0" style="width:100%" cellspacing="0" cellpadding="0">' . "\n";
$table_fortschritt.='              <tr>' . "\n";
$table_fortschritt.='                <td style="width:50%">' . go_fetch_dividing_up('pixel_silver.gif', '100%', '1') . '</td>' . "\n";
$table_fortschritt.='                <td>' . go_picture(FOLDER_RELATIV_PIC_SYSTEM_TEMPLATES . 'checkout_bullet.gif') . '</td>' . "\n";
$table_fortschritt.='                <td style="width:50%">' . go_fetch_dividing_up('pixel_silver.gif', '100%', '1') . '</td>' . "\n";
$table_fortschritt.='              </tr>' . "\n";
$table_fortschritt.='            </table></td>' . "\n";
$table_fortschritt.='            <td style="width:25%">' . "\n";
$table_fortschritt.='            <table border="0" style="width:100%" cellspacing="0" cellpadding="0">' . "\n";
$table_fortschritt.='              <tr>' . "\n";
$table_fortschritt.='                <td style="width:50%">' . go_fetch_dividing_up('pixel_silver.gif', '100%', '1') . '</td>' . "\n";
$table_fortschritt.='                <td style="width:50%">' . go_fetch_dividing_up('pixel_silver.gif', '1', '5') . '</td>' . "\n";
$table_fortschritt.='              </tr>' . "\n";
$table_fortschritt.='            </table></td>' . "\n";
$table_fortschritt.='          </tr>' . "\n";
$table_fortschritt.='          <tr>' . "\n";
$table_fortschritt.='            <td align="center" style="width:25%" class="checkoutBarFrom"><a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_66], '', 'SSL') . '" class="checkoutBarFrom">' . CHECKOUT_BAR_DELIVERY . '</a></td>' . "\n";
$table_fortschritt.='            <td align="center" style="width:25%" class="checkoutBarFrom"><a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_51], '', 'SSL') . '" class="checkoutBarFrom">' . CHECKOUT_BAR_PAYMENT . '</a></td>' . "\n";
$table_fortschritt.='            <td align="center" style="width:25%" class="checkoutBarCurrent">' . CHECKOUT_BAR_CONFIRMATION . '</td>' . "\n";
$table_fortschritt.='            <td align="center" style="width:25%" class="checkoutBarTo">' . CHECKOUT_BAR_FINISHED . '</td>' . "\n";
$table_fortschritt.='          </tr>' . "\n";
$table_fortschritt.='        </table>' . "\n";
$template_inhalt = preg_replace('/<-table_fortschritt->/', $table_fortschritt, $template_inhalt); 
$template_inhalt = preg_replace('/&lt;-table_fortschritt-&gt;/', $table_fortschritt, $template_inhalt); 
echo '<b><font color="#FF0000">' . $datei1_error . $datei2_error . $datei3_error . $datei4_error . $datei5_error . '</font></b>';
if (SHOW_AGB == 'true'){
	echo go_fetch_form('confirm_order_way', $form_action_url, 'post', 'onsubmit="return check_agree(this);"  enctype="multipart/form-data"');
}
else{
	echo go_fetch_form('confirm_order_way', $form_action_url, 'post', 'enctype="multipart/form-data"');

}
echo $template_inhalt;    
echo '</form>' . "\n";
?>
<?php 
include('load_this/preloader_footer.php');
?>
